| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | List of all members
IG.Num.Func3d2dBaseNoGradient Class Reference

Base class for 3D vector functions of 2 variables (implementations of the IFunc3d2d interface) that do not implement calculation of function Hessian (second derivatives) or gradient. More...

Inheritance diagram for IG.Num.Func3d2dBaseNoGradient:
[legend]
Collaboration diagram for IG.Num.Func3d2dBaseNoGradient:
[legend]

## Public Member Functions
override void | Gradient1 (double x, double y, out double gradx, out double grady)
| Function for calculating gradient of the first component of vector function, just throws the NotImplementedException exception. More...
override void | Gradient2 (double x, double y, out double gradx, out double grady)
| Function for calculating gradient of the second component of vector function, just throws the NotImplementedException exception. More...
override void | Gradient3 (double x, double y, out double gradx, out double grady)
| Function for calculating gradient of the third component of vector function, just throws the NotImplementedException exception. More...
override void | Hessian1 (double x, double y, out double dxx, out double dyy, out double dxy)
| Function for calculating Hessian of the first component, just throws the NotImplementedException exception. More...
override void | Hessian2 (double x, double y, out double dxx, out double dyy, out double dxy)
| Function for calculating Hessian of the second component, just throws the NotImplementedException exception. More...
override void | Hessian3 (double x, double y, out double dxx, out double dyy, out double dxy)
| Function for calculating Hessian of the third component, just throws the NotImplementedException exception. More...
Public Member Functions inherited from IG.Num.Func3d2dBase
abstract double | Value1 (double x, double y)
| Calculates and returns value of the first component of the current function. More...
abstract double | Value2 (double x, double y)
| Calculates and returns value of the second component of the current function. More...
abstract double | Value3 (double x, double y)
| Calculates and returns value of the third component of the current function. More...
virtual double | Value1 (vec2 parameters)
| Calculates and returns value of the first component of the current function. More...
virtual double | Value2 (vec2 parameters)
| Calculates and returns value of the second component of the current function. More...
virtual double | Value3 (vec2 parameters)
| Calculates and returns value of the third component of the current function. More...
virtual vec2 | Gradient1 (vec2 parameters)
| Calculates and returns gradient of the first component of the current function. More...
virtual vec2 | Gradient2 (vec2 parameters)
| Calculates and returns gradient of the second component of the current function. More...
virtual vec2 | Gradient3 (vec2 parameters)
| Calculates and returns gradient of the third component of the current function. More...
virtual mat2 | Hessian1 (vec2 parameters)
| Calculates and returns Hessian of the first component of the current function and returns it (in the form of a mat2 struct). More...
virtual mat2 | Hessian2 (vec2 parameters)
| Calculates and returns Hessian of the second component of the current function and returns it (in the form of a mat2 struct). More...
virtual mat2 | Hessian3 (vec2 parameters)
| Calculates and returns Hessian of the third component of the current function and returns it (in the form of a mat2 struct). More...

## Protected Member Functions
| Func3d2dBaseNoGradient ()
Protected Member Functions inherited from IG.Num.Func3d2dBase
| Func3d2dBase ()

## Additional Inherited Members
Static Public Member Functions inherited from IG.Num.Func3d2dBase
static void | Example ()
| Example of use of a 2D function. More...
Static Protected Member Functions inherited from IG.Num.Func3d2dBase
static void | TestFunction (IFunc2d f)
| Demonstrates use of a 2D function by printing to the console 5 values and gradients of the function on the line connecting the two points (0, 0, 0) and (1, 1, 1). More...
static void | TestFunction (IFunc2d f, double xmin, double xmax, double ymin, double ymax, int numPoints)
| Demonstrates use of a 2D function by printing to the console some values and gradients of the function on the line connecting the two specified points. More...
Properties inherited from IG.Num.Func3d2dBase
virtual bool | ValueDefined`[get, protected set]`
| Whether calculation of function value is defined. Defaulet is true. More...
virtual bool | GradientDefined`[get, protected set]`
| Whether calculation of functio ngradient is defined. Default is false. More...
virtual bool | HessianDefined`[get, protected set]`
| Whether calculation of function Hessian is defined. Default is false. More...
int | NumParam`[get]`
| Gets number of parameters. More...
int | NumValues`[get]`
| Gets number of components of the current vector function. More...
virtual Func2dBase | Component1`[get]`
| Returns the scalar function that represents the first component of the current 3D vector function of 2 variables. More...
virtual Func2dBase | Component2`[get]`
| Returns the scalar function that represents the second component of the current 3D vector function of 2 variables. More...
virtual Func2dBase | Component3`[get]`
| Returns the scalar function that represents the third component of the current 3D vector function of 2 variables. More...
Properties inherited from IG.Num.IFunc3d2d
bool | ValueDefined`[get]`
| Whether calculation of function value is defined. More...
bool | GradientDefined`[get]`
| Whether calculation of function ngradient is defined. More...
bool | HessianDefined`[get]`
| Whether calculation of function Hessian is defined. More...
Func2dBase | Component1`[get]`
| Returns the scalar function that represents the first component of the current 3D vector function of 2 variables. More...
Func2dBase | Component2`[get]`
| Returns the scalar function that represents the second component of the current 3D vector function of 2 variables. More...
Func2dBase | Component3`[get]`
| Returns the scalar function that represents the third component of the current 3D vector function of 2 variables. More...

## Detailed Description

Base class for 3D vector functions of 2 variables (implementations of the IFunc3d2d interface) that do not implement calculation of function Hessian (second derivatives) or gradient.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG.Num.Func3d2dBaseNoGradient.Func3d2dBaseNoGradient | ( |  | ) |
| inline protected

## Member Function Documentation

override void IG.Num.Func3d2dBaseNoGradient.Gradient1 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  |
| inline

Function for calculating gradient of the first component of vector function, just throws the NotImplementedException exception.

Implements IG.Num.IFunc3d2d.

override void IG.Num.Func3d2dBaseNoGradient.Gradient2 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  |
| inline

Function for calculating gradient of the second component of vector function, just throws the NotImplementedException exception.

Implements IG.Num.IFunc3d2d.

override void IG.Num.Func3d2dBaseNoGradient.Gradient3 | ( | double | x,
|  | double | y,
|  | out double | gradx,
|  | out double | grady
| ) |  |
| inline

Function for calculating gradient of the third component of vector function, just throws the NotImplementedException exception.

Implements IG.Num.IFunc3d2d.

override void IG.Num.Func3d2dBaseNoGradient.Hessian1 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  |
| inline

Function for calculating Hessian of the first component, just throws the NotImplementedException exception.

Implements IG.Num.IFunc3d2d.

override void IG.Num.Func3d2dBaseNoGradient.Hessian2 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  |
| inline

Function for calculating Hessian of the second component, just throws the NotImplementedException exception.

Implements IG.Num.IFunc3d2d.

override void IG.Num.Func3d2dBaseNoGradient.Hessian3 | ( | double | x,
|  | double | y,
|  | out double | dxx,
|  | out double | dyy,
|  | out double | dxy
| ) |  |
| inline

Function for calculating Hessian of the third component, just throws the NotImplementedException exception.

Implements IG.Num.IFunc3d2d.

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/Function3d2d.cs